Package com.collabnet.ce.soap60.webservices.tracker

# Class OrderedTrackerFieldSoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.tracker.OrderedTrackerFieldSoapRow

public class OrderedTrackerFieldSoapRow extends Object
A list of tracker fields and separators with layoutId, display order and other detail is represented by OrderedTrackerFieldSoapList class. Each row within a tracker fields list is represented by the OrderedTrackerFieldSoapRow class.

Since:
  5.4.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `COLUMN_SEPARATOR`
  `static final String`
  `FIELD_TYPE_SEPARATOR`
  `static final String`
  `ROW_SEPARATOR`
  `static final String`
  `SECTION_SEPARATOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrderedTrackerFieldSoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDefaultTextValue()`
  Returns 'defaultTextValue'.
  `String[]`
  `getDefaultUsernames()`
  Returns 'defaultUsernames'.
  `boolean`
  `getDisabled()`
  Returns 'disabled'.
  `int`
  `getDisplayLines()`
  Returns 'displayLines'.
  `int`
  `getDisplayOrder()`
  Returns 'displayOrder'.
  `int`
  `getDisplaySize()`
  Returns 'displaySize'.
  `String`
  `getFieldDisplayType()`
  Returns 'fieldDisplayType'.
  `String`
  `getFieldId()`
  Returns 'fieldId'.
  `String`
  `getFieldName()`
  Returns 'fieldName'.
  `TrackerFieldValueSoapDO[]`
  `getFieldValues()`
  Returns 'fieldValues'.
  `String`
  `getFolderId()`
  Returns 'folderId'.
  `String`
  `getHelpText()`
  Returns 'helpText'.
  `boolean`
  `getHiddenOnCreate()`
  Returns 'hiddenOnCreate'.
  `String`
  `getLabel()`
  Returns 'label'.
  `String`
  `getLayoutId()`
  Returns 'layoutId'.
  `SoapNamedValues`
  `getParentChildfieldValueMap()`
  Returns 'parentChildfieldValueMap'.
  `String`
  `getParentFieldId()`
  Returns 'parentFieldId'.
  `String`
  `getPattern()`
  Returns 'pattern'.
  `boolean`
  `getRequired()`
  Returns 'required'.
  `String`
  `getUserFilter()`
  Returns 'userFilter'.
  `String`
  `getValueType()`
  Returns 'valueType'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setDefaultTextValue(String defaultTextValue)`
  Sets 'defaultTextValue'.
  `void`
  `setDefaultUsernames(String[] defaultUsernames)`
  Sets 'defaultUsernames'.
  `void`
  `setDisabled(boolean disabled)`
  Sets 'disabled'.
  `void`
  `setDisplayLines(int displayLines)`
  Sets 'displayLines'.
  `void`
  `setDisplayOrder(int displayOrder)`
  Sets 'displayOrder'.
  `void`
  `setDisplaySize(int displaySize)`
  Sets 'displaySize'.
  `void`
  `setFieldDisplayType(String fieldDisplayType)`
  Sets 'fieldDisplayType'.
  `void`
  `setFieldId(String fieldId)`
  Sets 'fieldId'.
  `void`
  `setFieldName(String fieldName)`
  Sets 'fieldName'.
  `void`
  `setFieldValues(TrackerFieldValueSoapDO[] fieldValues)`
  Sets 'fieldValues'.
  `void`
  `setFolderId(String folderId)`
  Sets 'folderId'.
  `void`
  `setHelpText(String helpText)`
  Sets 'helpText'.
  `void`
  `setHiddenOnCreate(boolean hiddenOnCreate)`
  Sets 'hiddenOnCreate'.
  `void`
  `setLabel(String label)`
  Sets 'label'.
  `void`
  `setLayoutId(String layoutId)`
  Sets 'layoutId'.
  `void`
  `setParentChildfieldValueMap(SoapNamedValues parentChildfieldValueMap)`
  Sets 'parentChildfieldValueMap'.
  `void`
  `setParentFieldId(String parentFieldId)`
  Sets 'parentFieldId'.
  `void`
  `setPattern(String pattern)`
  Sets 'pattern'.
  `void`
  `setRequired(boolean required)`
  Sets 'required'.
  `void`
  `setUserFilter(String userFilter)`
  Sets 'userFilter'.
  `void`
  `setValueType(String valueType)`
  Sets 'valueType'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FIELD_TYPE_SEPARATOR

    public static final String FIELD_TYPE_SEPARATOR
    See Also:
      - Constant Field Values

  - ### ROW_SEPARATOR

    public static final String ROW_SEPARATOR
    See Also:
      - Constant Field Values

  - ### COLUMN_SEPARATOR

    public static final String COLUMN_SEPARATOR
    See Also:
      - Constant Field Values

  - ### SECTION_SEPARATOR

    public static final String SECTION_SEPARATOR
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OrderedTrackerFieldSoapRow

    public OrderedTrackerFieldSoapRow()

- ## Method Details

  - ### getLayoutId

    public String getLayoutId()
    Returns 'layoutId'. Id for identifying field or separator row in the list.
    Returns:
      Value of 'layoutId'.

  - ### setLayoutId

    public void setLayoutId(String layoutId)
    Sets 'layoutId'. Id for identifying field or separator row in the list.
    Parameters:
      `layoutId` - Value of 'layoutId'.

  - ### getLabel

    public String getLabel()
    Returns 'label'. Label for the separator. Empty for fields.
    Returns:
      Value of 'label'.

  - ### setLabel

    public void setLabel(String label)
    Sets 'label'. Label for the separator. Empty for fields.
    Parameters:
      `label` - Value of 'label'.

  - ### getDisplayOrder

    public int getDisplayOrder()
    Returns 'displayOrder'. The order of the field or the separator.
    Returns:
      Value of 'displayOrder'.

  - ### setDisplayOrder

    public void setDisplayOrder(int displayOrder)
    Sets 'displayOrder'. The order of the field or the separator.
    Parameters:
      `displayOrder` - Value of 'displayOrder'.

  - ### getFieldId

    public String getFieldId()
    Returns 'fieldId'. Id of the field. Empty for separators.
    Returns:
      Value of 'fieldId'.

  - ### setFieldId

    public void setFieldId(String fieldId)
    Sets 'fieldId'. Id of the field. Empty for separators.
    Parameters:
      `fieldId` - Value of 'fieldId'.

  - ### getFolderId

    public String getFolderId()
    Returns 'folderId'. Id of the folder which the field belongs to.
    Returns:
      Value of 'folderId'.

  - ### setFolderId

    public void setFolderId(String folderId)
    Sets 'folderId'. Id of the folder which the field belongs to.
    Parameters:
      `folderId` - Value of 'folderId'.

  - ### getFieldName

    public String getFieldName()
    Returns 'fieldName'. Name of the field.
    Returns:
      Value of 'fieldName'.

  - ### setFieldName

    public void setFieldName(String fieldName)
    Sets 'fieldName'. Name of the field.
    Parameters:
      `fieldName` - Value of 'fieldName'.

  - ### getFieldDisplayType

    public String getFieldDisplayType()
    Returns 'fieldDisplayType'.
    Returns:
      Value of 'fieldDisplayType'.

  - ### setFieldDisplayType

    public void setFieldDisplayType(String fieldDisplayType)
    Sets 'fieldDisplayType'.
    Parameters:
      `fieldDisplayType` - Value of 'fieldDisplayType'.

  - ### getValueType

    public String getValueType()
    Returns 'valueType'.
    Returns:
      Value of 'valueType'.

  - ### setValueType

    public void setValueType(String valueType)
    Sets 'valueType'.
    Parameters:
      `valueType` - Value of 'valueType'.

  - ### getRequired

    public boolean getRequired()
    Returns 'required'. Specifies if field requires a value.
    Returns:
      Value of 'required'.

  - ### setRequired

    public void setRequired(boolean required)
    Sets 'required'. Specifies if field requires a value.
    Parameters:
      `required` - Value of 'required'.

  - ### getDisabled

    public boolean getDisabled()
    Returns 'disabled'. Specifies if field is disabled.
    Returns:
      Value of 'disabled'.

  - ### setDisabled

    public void setDisabled(boolean disabled)
    Sets 'disabled'. Specifies if field is disabled.
    Parameters:
      `disabled` - Value of 'disabled'.

  - ### getHiddenOnCreate

    public boolean getHiddenOnCreate()
    Returns 'hiddenOnCreate'. Specifies if field is hidden on create.
    Returns:
      Value of 'hiddenOnCreate'.

  - ### setHiddenOnCreate

    public void setHiddenOnCreate(boolean hiddenOnCreate)
    Sets 'hiddenOnCreate'. Specifies if field is hidden on create.
    Parameters:
      `hiddenOnCreate` - Value of 'hiddenOnCreate'.

  - ### getFieldValues

    public TrackerFieldValueSoapDO[] getFieldValues()
    Returns 'fieldValues'. Array of field values.
    Returns:
      Value of 'fieldValues'.

  - ### setFieldValues

    public void setFieldValues(TrackerFieldValueSoapDO[] fieldValues)
    Sets 'fieldValues'. Array of field values.
    Parameters:
      `fieldValues` - Value of 'fieldValues'.

  - ### getParentFieldId

    public String getParentFieldId()
    Returns 'parentFieldId'. Id of the parent field.
    Returns:
      Value of 'parentFieldId'.

  - ### setParentFieldId

    public void setParentFieldId(String parentFieldId)
    Sets 'parentFieldId'. Id of the parent field.
    Parameters:
      `parentFieldId` - Value of 'parentFieldId'.

  - ### getParentChildfieldValueMap

    public SoapNamedValues getParentChildfieldValueMap()
    Returns 'parentChildfieldValueMap'. Mapping between parent field values and child field values.
    Returns:
      Value of 'parentChildfieldValueMap'.

  - ### setParentChildfieldValueMap

    public void setParentChildfieldValueMap(SoapNamedValues parentChildfieldValueMap)
    Sets 'parentChildfieldValueMap'. Mapping between parent field values and child field values.
    Parameters:
      `parentChildfieldValueMap` - Value of 'parentChildfieldValueMap'.

  - ### getDisplaySize

    public int getDisplaySize()
    Returns 'displaySize'. The display size value for the field
    Returns:
      Value of 'displaySize'.

  - ### setDisplaySize

    public void setDisplaySize(int displaySize)
    Sets 'displaySize'. The display size value for the field
    Parameters:
      `displaySize` - Value of 'displaySize'.

  - ### getDisplayLines

    public int getDisplayLines()
    Returns 'displayLines'. The number of lines to display for the field
    Returns:
      Value of 'displayLines'.

  - ### setDisplayLines

    public void setDisplayLines(int displayLines)
    Sets 'displayLines'. The number of lines to display for the field
    Parameters:
      `displayLines` - Value of 'displayLines'.

  - ### getDefaultTextValue

    public String getDefaultTextValue()
    Returns 'defaultTextValue'.
    Returns:
      Value of 'defaultTextValue'.

  - ### setDefaultTextValue

    public void setDefaultTextValue(String defaultTextValue)
    Sets 'defaultTextValue'.
    Parameters:
      `defaultTextValue` - Value of 'defaultTextValue'.

  - ### getUserFilter

    public String getUserFilter()
    Returns 'userFilter'. TrackerField3SoapDO.FIELD_USER_FILTER_PROJECT_MEMBER or FIELD_USER_FILTER_ALL
    Returns:
      Value of 'userFilter'.

  - ### setUserFilter

    public void setUserFilter(String userFilter)
    Sets 'userFilter'. TrackerField3SoapDO.FIELD_USER_FILTER_PROJECT_MEMBER or FIELD_USER_FILTER_ALL
    Parameters:
      `userFilter` - Value of 'userFilter'.

  - ### getDefaultUsernames

    public String[] getDefaultUsernames()
    Returns 'defaultUsernames'. Array of usernames to be default value (applies to TrackerField3SoapDO.FIELD_TYPE_MULTISELECT_USER only).
    Returns:
      Value of 'defaultUsernames'.

  - ### setDefaultUsernames

    public void setDefaultUsernames(String[] defaultUsernames)
    Sets 'defaultUsernames'. Array of usernames to be default value (applies to TrackerField3SoapDO.FIELD_TYPE_MULTISELECT_USER only).
    Parameters:
      `defaultUsernames` - Value of 'defaultUsernames'.

  - ### getHelpText

    public String getHelpText()
    Returns 'helpText'. The help text for the field
    Returns:
      Value of 'helpText'.

  - ### setHelpText

    public void setHelpText(String helpText)
    Sets 'helpText'. The help text for the field
    Parameters:
      `helpText` - Value of 'helpText'.

  - ### getPattern

    public String getPattern()
    Returns 'pattern'. The pattern used to validate the field value
    Returns:
      Value of 'pattern'.

  - ### setPattern

    public void setPattern(String pattern)
    Sets 'pattern'. The pattern used to validate the field value
    Parameters:
      `pattern` - Value of 'pattern'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)